## sphinx-basic-ng 1.0.0~beta1

=== requirements.txt ===
sphinx
sphinx-autobuild
myst_parser

=== debian/changelog ===
sphinx-basic-ng (1.0.0~beta1-3) unstable; urgency=medium

  * modified the watch file, to mangle upstream's version .beta => ~beta
  * bumped Standards-Version: 4.6.2

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 20 Dec 2022 13:52:32 +0100

sphinx-basic-ng (1.0.0~beta1-2) unstable; urgency=medium

  * upload the source package to unstable

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 12 Nov 2022 09:33:32 +0100

sphinx-basic-ng (1.0.0~beta1-1) experimental; urgency=medium

  * Initial release. (Closes: #1023447)

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 04 Nov 2022 10:24:32 +0100

=== debian/control ===
Source: sphinx-basic-ng
Section: python
Priority: optional
Maintainer: Georges Khaznadar <georgesk@debian.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 python3,
 python3-setuptools,
 python3-sphinx,
 dh-python,
Standards-Version: 4.6.2
Homepage: https://sphinx-basic-ng.readthedocs.io
Vcs-Browser: https://salsa.debian.org/debian/sphinx-basic-ng
Vcs-Git: https://salsa.debian.org/debian/sphinx-basic-ng.git

Package: sphinx-basic-ng
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: modern base for Sphinx themes
 Sphinx-basic-ng is a modern base for Sphinx themes, providing shared
 implementation of common components and a three-column layout to build upon.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf src/*.egg-info

## sphinx-basic-ng 1.0.0~beta2

=== docs/requirements.txt ===
# This file primarily exists to allow ReadTheDocs to install this package
# with the "docs" extra. The actual dependency information is held
# in `pyproject.toml`.
.[docs]

=== debian/changelog ===
sphinx-basic-ng (1.0.0~beta2-1) unstable; urgency=medium

  * New upstream version 1.0.0~beta2

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 13 Aug 2023 12:28:47 +0200

=== debian/watch ===
version=4

# GitHub hosted projects.
opts="filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%,uversionmangle=s%\.beta%~beta%" \
    https://github.com/pradyunsg/sphinx-basic-ng/tags \
    (?:.*?/)v?@ANY_VERSION@@ARCHIVE_EXT@
